Problems exporting a feature table

Hi!!

I am having problems exporting a feature table:

This is the command I am using

qiime tools export
–input-path /home/biopatic/querejeta/mydata/petrelsdeloseggs/table-dn-99.qza
–output-path /Users/nat/Desktop/BI/petrels_metab/exported-feature-table.biom

And I am getting this mistake:

Traceback (most recent call last):
File “/home/biopatic/querejeta/.conda/envs/qiime2-2019.4/lib/python3.6/distutils/dir_util.py”, line 70, in mkpath
os.mkdir(head, mode)
PermissionError: [Errno 13] Permission denied: ‘/Users’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/biopatic/querejeta/.conda/envs/qiime2-2019.4/bin/qiime”, line 11, in
sys.exit(qiime())
File “/home/biopatic/querejeta/.conda/envs/qiime2-2019.4/lib/python3.6/site-packages/click/core.py”, line 764, in call
return self.main(*args, **kwargs)
File “/home/biopatic/querejeta/.conda/envs/qiime2-2019.4/lib/python3.6/site-packages/click/core.py”, line 717, in main
rv = self.invoke(ctx)
File “/home/biopatic/querejeta/.conda/envs/qiime2-2019.4/lib/python3.6/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/biopatic/querejeta/.conda/envs/qiime2-2019.4/lib/python3.6/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/biopatic/querejeta/.conda/envs/qiime2-2019.4/lib/python3.6/site-packages/click/core.py”, line 956, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/home/biopatic/querejeta/.conda/envs/qiime2-2019.4/lib/python3.6/site-packages/click/core.py”, line 555, in invoke
return callback(*args, **kwargs)
File “/home/biopatic/querejeta/.conda/envs/qiime2-2019.4/lib/python3.6/site-packages/q2cli/builtin/tools.py”, line 55, in export_data
result.export_data(output_path)
File “/home/biopatic/querejeta/.conda/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/result.py”, line 137, in export_data
str(self._archiver.data_dir), str(output_dir))
File “/home/biopatic/querejeta/.conda/envs/qiime2-2019.4/lib/python3.6/distutils/dir_util.py”, line 135, in copy_tree
mkpath(dst, verbose=verbose)
File “/home/biopatic/querejeta/.conda/envs/qiime2-2019.4/lib/python3.6/distutils/dir_util.py”, line 74, in mkpath
“could not create ‘%s’: %s” % (head, exc.args[-1]))
distutils.errors.DistutilsFileError: could not create ‘/Users’: Permission denied

Does anyone know the reason?

Thanks!

Nat

Hi! Looks like you have a problem with a permission to write in your directory. Can you try to export it to another folder that located at your home directory? For example, to the same directory in wich you are running your analysis in Qiime.

1 Like